import 'package:connecto_flutter/connecto_flutter.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  Analytics analytics = new Analytics(
      writeKey: "ABCD",
      userId: "123456789",
      applicationName: "ABCD",
      packageName: "com.ab.xxx");

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: InkWell(
              onTap: () {
                Map<String, dynamic> map = {
                  "pageType": "Main Screen Plugin",
                  "google_ad_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXX",
                  "platform": "Android",
                  "languageCode": "English (India)",
                  "countryCode": "India",
                  "Template_Name_New": "MainDart",
                  "Platform_New": "Android",
                  "businessUnit": "car"
                };
                analytics.trackScreen(screenName: "Plugin_screen", properties: map);
              },
              child: Text("Send Analytics")),
        ),
      ),
    );
  }
}
